GET
/serving/inference/{inference_id}/alerts/
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/serving/inference/{inference_id}/alerts/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/gpu/serving/inference/{inference_id}/alerts/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/serving/inference/{inference_id}/alerts/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Returns all alerts attached to a model endpoint, with pagination support.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”inference_id
required
integer
Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID
active_iam
integer
Active IAM ID (To access contact person account) Find your Active IAM ID here
location
required
string
Location
page_no
integer
Page number for pagination.
per_page
integer
Number of results per page.
Responses
Section titled “Responses”Paginated list of alerts attached to the model endpoint.
Media typeapplication/json
object
code
integer
data
Array<object>
object
id
Attachment record ID.
integer
inference
Model endpoint ID.
integer
inference_name
Model endpoint name.
string
alert
object
id
integer
name
string
location
string
resource_type
string
metric_type
string
metric_type_unit
string
operator
string
threshold_value
number
severity
string
created_by
object
id
integer
name
string
email
string
username
string
created_at
string format: date-time
updated_at
string format: date-time
alert_name
string
grafana_rule_uid
string
created_at
string format: date-time
updated_at
string format: date-time
is_firing
Whether the alert is currently firing.
boolean
errors
object
message
string
total_page_number
Total number of pages.
integer
total_count
Total number of attached alerts.
integer
Example
{ "code": 200, "message": "Success"}